Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006221TestLinkBug Tracking System - JIRA Integrationpublic2014-02-21 14:382014-04-25 17:38
Reporterjnhamilton 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006221: JIRA integration is broken in TestLink 1.9.9
DescriptionJIRA integration appears to be broken in TestLink 1.9.9 and displays the JIRA connection details at the top of the Test Execution page
Steps To ReproduceLog into TestLink
Click Test Execution
In the folder structure on the left hand side, select a test
In the right hand pane the details of the test run loads, however at the top the below text is displayed - as the JIRA integration appears to be broken. Due to security concerns I have placed "xxx" where firm specific information lies.

"object(SimpleXMLElement)0000132 (6) { ["username"]=> string(9) "xxxxxx" ["password"]=> object(SimpleXMLElement)0000134 (0) { } ["uribase"]=> string(33) "https://xxxxxxxx/" [^] ["uriwsdl"]=> string(65) "xxxxxxx/soap/jirasoapservice-v2?wsdl" ["uriview"]=> string(40) "xxxxxxxx/browse/" ["uricreate"]=> string(64) "xxxxxxx/CreateIssue!default.jspa" } "

We had to remove the password from the displayed string as we do not want this displayed to the users, therefore TestLink now also displays a message "Attention Please:
Something is preventing connection to Bug Tracking System,
and is going to create performance issues.
Please contact your TestLink Administrator"



Additional InformationThe version of JIRA we are using is: (v6.1.7#6163-sha1:94d557d)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.0.77 running on RHEL 5.7 64 bit
BrowserAny (e.g. IE, Chrome, FireFox) - not brower specific
PHP Version5.3.3
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon JIRAError.png [^] (32,536 bytes) 2014-02-21 14:38

- Relationships

-  Notes
(0020468)
fman (administrator)
2014-02-22 15:12

Searching for duplicates is a must not an option while doing issue reporting.
please check because this issue has benn fuxed long tome ago
(0020472)
jnhamilton (reporter)
2014-02-23 12:26
edited on: 2014-02-23 12:27

I am aware of the search function - I didn't see anything recent that looked exactly the same. If I missed it, I apologise.

If it was fixed a long time ago how come it is still present in 1.9.9? Is the fix not yet integrated?

(0020473)
jnhamilton (reporter)
2014-02-23 16:51

Ah wait - sorry - found issue 0006089 which looks similar and will ask our support guys to give the below a try and post back when they have done so with the results:

----------------------------------------------
look for var_dump() in the jira*class* files

on linux/unix:
change to testlink install dir then

grep -rl var_dump

you will find:
issuetrackerintegration/jirasoapInterface.class.php
then you will be able to fine the offending line
(0020476)
jnhamilton (reporter)
2014-02-24 13:26

The above worked :)
(0020829)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2014-02-21 14:38 jnhamilton New Issue
2014-02-21 14:38 jnhamilton File Added: JIRAError.png
2014-02-22 15:12 fman Note Added: 0020468
2014-02-22 19:53 fman Assigned To => fman
2014-02-22 19:53 fman Status new => feedback
2014-02-23 12:26 jnhamilton Note Added: 0020472
2014-02-23 12:26 jnhamilton Status feedback => assigned
2014-02-23 12:27 jnhamilton Note Edited: 0020472 View Revisions
2014-02-23 16:51 jnhamilton Note Added: 0020473
2014-02-24 13:17 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-02-24 13:17 fman Status assigned => resolved
2014-02-24 13:17 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-02-24 13:17 fman Resolution open => duplicate
2014-02-24 13:26 jnhamilton Note Added: 0020476
2014-04-25 17:38 fman Note Added: 0020829
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker